apiVersion: v1
kind: Service
metadata:
  name: {{ include "deployment.fullname" . }}
  namespace: pk-dev
  labels:
    {{- include "deployment.labels" . | nindent 4 }}
spec:
  type: {{ .Values.service.type }}
  ports:
    - port: {{ .Values.service.port }}
      targetPort: http
      protocol: TCP
      name: http
  selector:
    {{- include "deployment.selectorLabels" . | nindent 4 }}
